sc::AVLMap< K, T >(3)

NAME
sc::AVLMap< K, T > -

SYNOPSIS

  Classes
class iterator

  Public Member Functions
void clear ()
void insert (const K &key, const T &data)
void remove (const K &key)
int contains (const K &k) const
iterator find (const K &) const
T & operator[] (const K &k)
int height ()
void check ()
int length () const
iterator begin () const
iterator end () const
void print ()

  Public Attributes
EAVLMMap< K, AVLMapNode< K, T > > map_

  template<class K, class T> class sc::AVLMap< K, T >

Author

Generated automatically by Doxygen for MPQC from the source code'.